Bug 467419 - (mingw32-pango) Review Request: mingw32-pango - MinGW Windows Pango library
Review Request: mingw32-pango - MinGW Windows Pango library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On: 454410 mingw32-iconv mingw32-freetype mingw32-gettext mingw32-glib2 mingw32-fontconfig mingw32-cairo
Blocks: mingw32-gtk2
  Show dependency treegraph
 
Reported: 2008-10-17 07:35 EDT by Richard W.M. Jones
Modified: 2009-03-18 15:10 EDT (History)
5 users (show)

See Also:
Fixed In Version: 1.23.0-1.fc10.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-16 13:24:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
michel: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 3 Richard W.M. Jones 2009-01-25 08:22:37 EST
Spec URL: http://hg.et.redhat.com/cgi-bin/hg-misc.cgi/fedora-mingw--devel/raw-file/tip/pango/mingw32-pango.spec
SRPM URL: http://www.annexia.org/tmp/mingw/fedora-rawhide/src/SRPMS/mingw32-pango-1.22.1-2.fc11.src.rpm

* Fri Jan 23 2009 Richard W.M. Jones <rjones@redhat.com> - 1.22.1-2
- Disable static libraries.
- Use _smp_mflags.
Comment 4 Richard W.M. Jones 2009-02-06 08:00:44 EST
Spec URL: http://hg.et.redhat.com/cgi-bin/hg-misc.cgi/fedora-mingw--devel/raw-file/tip/pango/mingw32-pango.spec
SRPM URL: http://www.annexia.org/tmp/mingw/fedora-rawhide/src/SRPMS/mingw32-pango-1.22.1-4.fc11.src.rpm

* Fri Jan 30 2009 Richard W.M. Jones <rjones@redhat.com> - 1.22.1-4
- Requires pkgconfig.

* Tue Jan 27 2009 Levente Farkas <lfarkas@lfarkas.org> - 1.22.1-3
- Include license file in documentation section.
Comment 5 Michel Alexandre Salim 2009-03-02 08:43:53 EST
Reviewing the Hg version (1.22.1-6)

- homes.merjis.com is down at the moment, so I cannot pull expat and fontconfig.
- download link needs updating: it points to the 1.21 directory, not 1.22
- F-10 has newer version (1.22.3); upstream has 1.22.4. Should not be a big deal,
  we can just get 1.22.1 reviewed and update later

Any reason for the patch naming? (patch1000 !)
Comment 6 Richard W.M. Jones 2009-03-02 09:03:31 EST
(In reply to comment #5)
> Reviewing the Hg version (1.22.1-6)
> 
> - homes.merjis.com is down at the moment, so I cannot pull expat and
> fontconfig.

Should be up again now.

> - download link needs updating: it points to the 1.21 directory, not 1.22
> - F-10 has newer version (1.22.3); upstream has 1.22.4. Should not be a big
> deal,
>   we can just get 1.22.1 reviewed and update later
> 
> Any reason for the patch naming? (patch1000 !)

The convention we've been using is that native patches
use the same patch numbers as in the native package, and
any mingw32-specific patches start counting at 1000.
Comment 7 Michel Alexandre Salim 2009-03-02 13:46:57 EST
I can't build, it appears to be a mingw32-cairo bug:

pangocairo-fcfont.c:24:22: error: cairo-ft.h: No such file or directory

$ rpm -ql mingw32-cairo | grep ft.h
$ rpm -ql cairo-devel | grep ft.h
/usr/include/cairo/cairo-ft.h
Comment 8 Erik van Pienbroek 2009-03-06 06:56:48 EST
How did you build this package and what is the package version of mingw32-cairo you have installed? I just tried to compile it locally (rpmbuild) and the compilation of pango succeeded without any errors.
Comment 9 Michel Alexandre Salim 2009-03-09 10:52:28 EDT
Ah, my mistake. I might have been accidentally using the F-10 version of mingw32-fontconfig (from the MinGW test repo) together with the rest of the already-merged Rawhide stack. I've been unwell for the past few days too, so sorry for the delay.

MUST

- rpmlint
  manpage-not-gzipped: pango-querymodules.1

  this should probably not be packaged, as MinGW developers should have the
  docs from the native pango anyway

+ package name
+ spec file name
+ package guideline-compliant
+ license complies with guidelines
+ license field accurate
+ license file not deleted
+ spec in US English
+ spec legible
+ source matches upstream
+ builds under >= 1 archs, others excluded
+ build dependencies complete
N/A locales handled using %find_lang, no %{_datadir}/locale
N/A library -> ldconfig
N/A relocatable: give reason
+ own all directories
+ no dupes in %files
+ permission
+ %clean RPM_BUILD_ROOT
+ macros used consistently
+ Package contains code
+ static in -static
+ if contains *.pc, req pkgconfig
+ clean buildroot before install
+ filenames UTF-8

SHOULD
- if license text missing, ask upstream to include it
- desc and summary contain translations if available
? package build in mock on all architectures
+ package functioned as described
+ scriplets are sane
+ other subpackages should require versioned base
+ if main pkg is development-wise, pkgconfig can go in main package
+ require package not files
Comment 10 Richard W.M. Jones 2009-03-09 13:07:54 EDT
Spec URL: http://www.annexia.org/tmp/mingw32-pango.spec
SRPM URL: http://www.annexia.org/tmp/mingw32-pango-1.23.0-1.fc11.src.rpm

* Mon Mar  9 2009 Richard W.M. Jones <rjones@redhat.com> - 1.23.0-1
- Remove man page which duplicates what is in base Fedora.
- Rebase to 1.23.0 to match Fedora.
- +BR mingw32-dlfcn.
Comment 11 Michel Alexandre Salim 2009-03-09 14:11:52 EDT
Changes look good.

APPROVED
Comment 12 Richard W.M. Jones 2009-03-09 14:31:34 EDT
New Package CVS Request
=======================
Package Name: mingw32-pango
Short Description: MinGW Pango library
Owners: rjones berrange
Branches: F-10 EL-5
InitialCC:
Comment 13 Dennis Gilmore 2009-03-10 16:12:11 EDT
CVS Done
Comment 14 Richard W.M. Jones 2009-03-16 13:24:40 EDT
Built for Rawhide, EPEL-5, F-10.
Comment 15 Fedora Update System 2009-03-16 13:25:52 EDT
mingw32-pango-1.23.0-1.fc10.2 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mingw32-pango-1.23.0-1.fc10.2
Comment 16 Fedora Update System 2009-03-18 15:10:21 EDT
mingw32-pango-1.23.0-1.fc10.2 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.